<?php

namespace Picea\Ui\Form;

class UiRadio extends UiInput {

    public string $token = "ui:radio";

    public array $attributes = [
        'class' => "ui-radio",
        'type'  => "radio",
    ];
   
    protected function objectAttribute() : array 
    {
        if ( isset($this->options['value']) && ( $this->options['value'] === $this->value ) ) {
            return [
                'checked' => "checked"
            ];
        }
        
        return [];
    }
}
